<template>
	<div :class="$style.quantityGroup">
		<h4>{{ displayLabel || label }}</h4>

		<div :class="$style.flex">
			<div :class="$style.quantityImg">
				<img :src="imgUrl" :alt="label" />
			</div>

			<div :class="$style.quantity">
				<div>Add quantity</div>
				<div>
					<FormInput
						:value="value"
						type="tel"
						:label="label"
						:label-for="labelFor"
						label-hidden
						v-bind="$attrs"
						@input="updateValue"
					/>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
import FormInput from '@components/form-input';

export default {
	components: { FormInput },
	inheritAttrs: false,

	props: {
		label: {
			type: String,
			default: '',
		},

		labelFor: {
			type: String,
			default: null,
		},

		value: {
			type: [String, Number],
			default: null,
		},

		imgUrl: {
			type: String,
			required: true,
		},

		displayLabel: {
			type: String,
			default: '',
		},
	},

	methods: {
		updateValue(value) {
			this.$emit('input', Number(value) || value);
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.quantityGroup {
	border-bottom: 1px solid color('primary-250');
}

.flex {
	display: flex;
	align-items: flex-end;
	justify-content: space-between;

	.quantityImg {
		min-width: 12.6rem;
		text-align: center;
	}

	img {
		max-width: 12.6rem;
		max-height: 12.4rem;
	}
}

.quantity {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	margin-bottom: 1em;
	font-weight: 300;

	@include use-text-style('type-100');

	input {
		width: 5rem;
		height: 5rem;
		padding: 0;
		margin-left: size('s+');
		text-align: center;
	}
}
</style>
